WineHQ
Category: Main Utilities Authy 1.7.0

Authy

No Screenshot

Submit Screenshot

Authy 1.7.0


Downloaded if you chose 'Windows 64bit'.

Application Details:

Version: 1.7.0
License: Free to use
URL: https://authy.com/
Votes: 0
Latest Rating: Garbage
Latest Wine Version Tested: 4.13-staging

Maintainers: About Maintainership

Free Download Authy Download Website

Test Results

Selected Test Results

What works

Syncing, logging in using a phone number, generating codes, decrypting backups.

What does not

The installer does not run and the UI is glitched. 

Workarounds

Installing dotnet45 allows installer to show a window at all. Changing the windows version to Windows 7 or later allows the installer to run.

Installing corefonts fixes the UI glitches.

What was not tested

Authorizing other devices. It should work but is untested.

Hardware tested

Graphics:

  • GPU: Nvidia
  • Driver: proprietary

Additional Comments

The exe is installed to '/drive_c/users/<Username>/Local Settings/Application Data/authy-electron/'

'Authy Desktop.exe' calls the updater. With dotnet45, this should not be a problem but I can not confirm that. 'app-1.7.0/Authy Desktop.exe' does not call the updater.

selected in Test Results table below
Operating systemTest dateWine versionInstalls?Runs?Used
Workaround?
RatingSubmitter
ShowUbuntu 19.04 "Disco" amd64 (+ variants like Kubuntu)Aug 14 20194.13-stagingN/A Yes NoGarbageJoshua Phelps 
CurrentManjaro LinuxApr 22 20194.5-stagingNo, but has workaround Yes YesGoldTimothy Haddon 

Known Bugs

Bug # Description Status Resolution Other apps affected

Show all bugs

HowTo / Notes

Exe Location

Authy exe is located in '/drive_c/users/$USER/Local Settings/Application Data/authy-electron/'

Comments

The following comments are owned by whoever posted them. WineHQ is not responsible for what they say.

Authy 1.7.0 on Pop!_OS 19.04
by Sean McCay on Saturday April 27th 2019, 23:13
Installed winetricks dotnet462, still can't run installer correctly.

wine --version -> wine-4.0 (Ubuntu 4.0-1)

seanmccay@pop-os:~/Downloads$ wine Authy*.exe
0009:err:ole:apartment_getclassobject DllGetClassObject returned error 0x80040111 for dll L"C:\\windows\\system32\\ieframe.dll"

I get a modal with:
Installation has failed
Please re-run this installer as a normal user instead of "Run as Administrator".

winecfg is default running as Windows 7... I suppose I could be missing some packages. I'm 2 days into running Linux and have yet to install anything with Wine other than games in Lutris.
RE: Authy 1.7.0 on Pop!_OS 19.04
by Timothy Haddon on Sunday April 28th 2019, 20:15
Hello. I tested the installer with a 4.0-1 binary with corefonts as well as dotnet462 and dotnet45. This is not an issue unique to you.

I could not find a fix for wine 4.0-1. I recommend installing either the wine-devel package or the wine-staging package.

I also recommend you install an application called q4wine. It handles wineprefixes for you so you won't have to worry about things installed via winetricks conflicting with each other. It also has some handy features that may or may not come in handy for you.
RE: Authy 1.7.0 on Pop!_OS 19.04
by Sean McCay on Sunday April 28th 2019, 21:57
Thanks for the help! I was able to get it installed with wine-staging. I can see why it has a gold rating. Some of the text is a little off and the navigation arrows are not really available. But it's totally functional otherwise.
RE: Authy 1.7.0 on Pop!_OS 19.04
by Sean McCay on Sunday April 28th 2019, 22:01
I can confirm that installing corefonts did resolve the UI issues.
RE: Authy 1.7.0 on Pop!_OS 19.04
by Timothy Haddon on Monday April 29th 2019, 10:38
No problem. I hope you enjoy your time on linux, be it a few days, weeks, months, years, or eternities!
Back